Bug 33419

Summary: broke
Product: [Development] Sisyphus Reporter: Sergey Bolshakov <sbolshakov@altlinux.org>
Component: pysolAssignee: Vladimir D. Seleznev <vseleznv@altlinux.org>
Status: CLOSED FIXED QA Contact: qa-sisyphus@altlinux.org
Severity: critical    
Priority: P3 CC: antohami@altlinux.org, cas@altlinux.org, cow@altlinux.org, darktemplar@altlinux.org, enp@altlinux.org, evg@altlinux.org, george@altlinux.org, glebfm@altlinux.org, hiddenman@altlinux.org, imz@altlinux.org, lav@altlinux.org, mithraen@altlinux.org, nbr@altlinux.org, qa_viy@altlinux.org, real@altlinux.org, rider@altlinux.org, sem@altlinux.org, shaba@altlinux.org, sin@altlinux.org, slev@altlinux.org, solo@altlinux.org, vitty@altlinux.org, viy@altlinux.org, vseleznv@altlinux.org, vvk@altlinux.org
Version: unstable   
Hardware: all   
OS: Linux   
Attachments:
Description Flags
quickfix none

Description From 2017-04-25 13:59:18
lioka@lioka ~ $ pysol.sh 
PySol: pysolsoundserver module not found, sound disabled.
Traceback (most recent call last):
  File "./pysol.py", line 121, in <module>
    sys.exit(main(sys.argv))
  File "/usr/share/games/pysol/main.py", line 424, in main
    r = pysol_main(args)
  File "/usr/share/games/pysol/main.py", line 371, in pysol_main
    app.mainloop()
  File "/usr/share/games/pysol/app.py", line 454, in mainloop
    self.statusbar = PysolStatusbar(self.top)
  File "/usr/share/games/pysol/tk/statusbar.py", line 150, in __init__
    self._widgets[0].grid_configure(column=0, row=0, sticky="ew")
  File "/usr/lib64/python2.7/lib-tk/Tkinter.py", line 2023, in grid_configure
    + self._options(cnf, kw))
_tkinter.TclError: cannot use geometry manager grid inside
.139995547001920.139995547002208 which already has slaves managed by pack
------- Comment #1 From 2017-08-09 18:58:53 -------
Астрим дропнул поддержку проекта более 10 лет назад; непонятно сходу как это
чинить. Предлагаю удалить пакет из Сизифа и собрать вместо него форк PySolFC
[1].

sbolshakov@, viy@: ok?

[1] http://pysolfc.sourceforge.net/
------- Comment #2 From 2017-08-10 11:45:51 -------
Created an attachment (id=7180) [details]
quickfix
------- Comment #3 From 2017-08-10 22:53:59 -------
pysol-4.82-alt12 -> sisyphus:

Thu Aug 10 2017 Vladimir D. Seleznev <vseleznv@altlinux.org> 4.82-alt12
- Fixed crash with Tcl/Tk 8.6 (thnx sbolshakov@) (closes: #33419)